* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
}

html,
body {
    margin: 0;
    padding: 0;
}

.container {
    max-width: 100%;
    width: 100%;
    /* height: 100vh; */
    padding-top: 0;
    z-index: 0;
    background: #ededff;
}

.profile {
    width: 100%;
    max-width: 20rem;
    background: #fff;
    margin: auto;
    border-radius: 0.5rem;
    box-shadow: 5px 5px 20px rgba(50, 50, 93, 0.7), 0 5px 15px rgba(0, 0, 0, 0.1);
    display: flex;
    flex-direction: column;
    position: relative;
    top: 2rem;
    z-index: 1;
}

.cover {
    position: relative;
    background: linear-gradient(150deg, #1d8cf8 20%, #3358f4 100%);
    border-radius: 0.5rem 0.5rem 0 0;
}

.avatar {
    width: 5rem;
    height: 5rem;
    border-radius: 50%;
    position: relative;
    top: 2.5rem;
    /* bottom: -2.5rem;
    left: 50%;
    transform: translateX(-50%, 50%); */
    margin-left: auto;
    margin-right: auto;
    border-radius: 50%;
    box-shadow: 5px 5px 20px rgba(50, 50, 93, 0.7), 0 5px 15px rgba(0, 0, 0, 0.1);

    img {
        width: 5rem;
        border-radius: 50%;
        background: #fff;
        border: 0.1rem solid #fff;
    }
}

.avartar:before {
    content: "";
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    border-radius: 50%;
}

.action {
    display: flex;
    justify-content: space-between;
    padding: 0.7rem;
}

.title {
    order: 1;
    margin-top: 1rem;
    text-align: center;

    h1 {
        font-size: 1rem;
    }

    span {
        font-size: 1rem;
    }
}

.description {
    order: 2;
    margin-top: 0.1rem;
    text-align: center;
}

.list {
    display: flex;
    justify-content: center;
    list-style-type: none;
    order: 3;
    margin-top: 2rem;

    li {
        padding: 0 2rem 1rem;
        text-align: center;
        font-size: 1rem;
    }

    span {
        display: block;
        font-weight: bold;
        font-size: 1.1rem;
        margin-bottom: 0.1rem;
    }
}

.fa-heart {
    margin-right: 10px;
}

.user-img {
    width: 100px;
    border-radius: 50%;
}

.rewards {
    position: relative;
    display: flex;
    flex-direction: column;
    width: 100%;
    max-width: 100%;
    margin: auto;
    top: 3rem;
}

.voucher {
    display: flex;
    flex-direction: row;
    max-width: 100%;

    img {
        width: 100%;
    }

    img:hover {
        animation: shake 0.5s;
        animation-iteration-count: infinite;
    }
}

.coupon {
    display: flex;
    flex-direction: column;
    max-width: 100%;

    img {
        width: 100%;
    }

    img:hover {
        animation: shake 0.5s;
        animation-iteration-count: infinite;
    }
}

@keyframes shake {
    0% {
        transform: translate(1px, 1px) rotate(0deg);
    }

    10% {
        transform: translate(-1px, -2px) rotate(-1deg);
    }

    20% {
        transform: translate(-3px, 0px) rotate(1deg);
    }

    30% {
        transform: translate(3px, 2px) rotate(0deg);
    }

    40% {
        transform: translate(1px, -1px) rotate(1deg);
    }

    50% {
        transform: translate(-1px, 2px) rotate(-1deg);
    }

    60% {
        transform: translate(-3px, 1px) rotate(0deg);
    }

    70% {
        transform: translate(3px, 1px) rotate(-1deg);
    }

    80% {
        transform: translate(-1px, -1px) rotate(1deg);
    }

    90% {
        transform: translate(1px, 2px) rotate(0deg);
    }

    100% {
        transform: translate(1px, -2px) rotate(-1deg);
    }
}